<?php
$consulta = (!empty($_REQUEST['consulta']) ? $_REQUEST['consulta'] : NULL);
if($consulta != NULL){
	header("Content-type: application/json; charset=utf-8");
	include '../beans/GerenciadorClientes.class.php';
	$clienteMB = new GerenciadorClientes();
	$clientes = $clienteMB->retornaListaClientesJSON($consulta);
	if(!empty($clientes)){
		$json = "[";
		foreach($clientes as $cliente){
			$objeto = var_export($cliente, TRUE);
			$json .= json_encode($cliente->toArray()) . ",";
		}
		$json .= "]";
		echo str_ireplace(",]", "]", $json);
	}
}
?>